package com.persagy.adm.diagram.core.model.logic;

import com.google.gson.annotations.Expose;

/**
 * 设备数据过滤器
 * @author zhaoyk
 */
abstract public class DataFilter {

	public static final int TYPE_MATCH = 1;

	public static final int TYPE_AND = 2;

	public static final int TYPE_OR = 3;

	public static final int TYPE_NOT = 4;

	/**
	 * 过滤器类型
	 */
	@Expose
	protected int type;

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	/**
	 * 过滤操作，返回true时通过
	 */
	abstract public boolean filter(Object data);

}
