package com.persagy.adm.diagram.entity;

import lombok.Data;

/**
 * 图例实体
 */
@Data
public class LegendEntity {

	private String id;

	private String name;

	private String code;

	/**
	 * 描述信息
	 */
	private String remark;

	/**
	 * 所属系统代码
	 */
	private String system;

	/**
	 * 图例内容，json格式
	 */
	private String legendContent;

}
