package com.persagy.adm.diagram.entity;

import lombok.Data;

/**
 * 模板实体
 */
@Data
public class TemplateEntity {

	/**
	 * 模板对应的系统图类型代码
	 */
	private String diagramType;

	/**
	 * 模板id
	 */
	private String id;

	/**
	 * 模板名称
	 */
	private String name;

	/**
	 * 模板编码
	 */
	private String code;

	/**
	 * 描述信息
	 */
	private String remark;

	/**
	 * 模板内容，json格式
	 */
	private String templateContent;

}
